Subject: Re: bug#60990: 29.0.60; New seq release 2.24

From: Daniel Mendler <[email-masked]>
Date: Mon, 4 Sep 2023 18:16:54 +0200

Hello Stefan,

can we also get a new seq release 2.24 on ELPA? My report was about both
tagging a new seq version in Emacs and a new release on ELPA. Thanks!

Daniel

On 9/4/23 17:32, Stefan Kangas wrote:
> Version: 29.2
> 
> Daniel Mendler <[email-masked]> writes:
> 
>> The seq package has seen multiple additions since the seq 2.23 release.
>> Would it be possible to release a new version 2.24 and bump the version
>> in Emacs 29? With such a seq release 2.24, which coincides with Emacs 29,
>> packages depending 2.24 would not pull in the additional package if
>> installed on Emacs 29.
>>
>> In GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
>>  version 1.16.0, Xaw scroll bars) of 2023-01-14 built on projects
>> Repository revision: 8d7ad65665833ae99b7e7119dae37afa438968a4
>> Repository branch: emacs-29
>> Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
>> System Description: Debian GNU/Linux 11 (bullseye)
> 
> It seems we dropped the ball here and released Emacs 29.1 with seq.el
> versioned as 2.23.  I've now bumped the seq version to 2.24, so that we
> won't have the same problem in Emacs 29.2.
> 
> With that, I'm closing this bug report.